Loading...
Searching...
No Matches
Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 > Class Template Reference
Inheritance diagram for Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >:

## Public Types

typedef RefinementImp< dimension, CoordType > | Refinement
typedef Refinement::template Codim< 0 >::SubEntityIterator | Common
typedef Refinement::IndexVector | IndexVector
typedef Refinement::CoordVector | CoordVector

## Public Member Functions

IndexVector | vertexIndices () const
CoordVector | coords () const

## Member Typedef Documentation

## Common

template<int dimension, class CoordType>

typedef Refinement::template Codim<0>::SubEntityIterator Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >::Common

## CoordVector

template<int dimension, class CoordType>

typedef Refinement::CoordVector Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >::CoordVector

## IndexVector

template<int dimension, class CoordType>

typedef Refinement::IndexVector Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >::IndexVector

## Refinement

template<int dimension, class CoordType>

typedef RefinementImp<dimension, CoordType> Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >::Refinement

## Member Function Documentation

## coords()

template<int dimension, class CoordType>

RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >::CoordVector Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >::coords | ( |  | ) | const

## vertexIndices()

template<int dimension, class CoordType>

RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >::IndexVector Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >::vertexIndices | ( |  | ) | const

The documentation for this class was generated from the following file:

- hcube.cc